Package tigase.xmpp.impl

## Class JabberIqRegister.UserRegisteredEvent

- java.lang.Object
- - tigase.xmpp.impl.JabberIqRegister.UserRegisteredEvent

- All Implemented Interfaces:
    `EventBusEvent`
  Enclosing class:
    JabberIqRegister

      public static class JabberIqRegister.UserRegisteredEvent
      extends java.lang.Object
      implements EventBusEvent

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserRegisteredEvent​(BareJID user, java.lang.String email, boolean confirmationRequired, java.util.Map<java.lang.String,​java.lang.String> params)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getEmail()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getParams()` |
    `BareJID` | `getUser()` |
    `boolean` | `isConfirmationRequired()` |
    `void` | `setConfirmationRequired​(boolean confirmationRequired)` |
    `void` | `setEmail​(java.lang.String email)` |
    `void` | `setParams​(java.util.Map<java.lang.String,​java.lang.String> params)` |
    `void` | `setUser​(BareJID user)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserRegisteredEvent

          public UserRegisteredEvent​(BareJID user,
                                     java.lang.String email,
                                     boolean confirmationRequired,
                                     java.util.Map<java.lang.String,​java.lang.String> params)

  - ### Method Detail

    - #### getEmail

          public java.lang.String getEmail()

    - #### setEmail

          public void setEmail​(java.lang.String email)

    - #### getParams

          public java.util.Map<java.lang.String,​java.lang.String> getParams()

    - #### setParams

          public void setParams​(java.util.Map<java.lang.String,​java.lang.String> params)

    - #### getUser

          public BareJID getUser()

    - #### setUser

          public void setUser​(BareJID user)

    - #### isConfirmationRequired

          public boolean isConfirmationRequired()

    - #### setConfirmationRequired

          public void setConfirmationRequired​(boolean confirmationRequired)